質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.12%

MacにMySQLをインストールするとエラーになってしまう

解決済

回答 3

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 924

AIUeno

score 11

brew install mysql

で、MacにMySQLをインストールしようとしたところ、下記のエラーになりインストールできません。

Updating Homebrew...
Error: mysql: /usr/local/Homebrew/Library/Taps/homebrew/homebrew-core/Formula/mysql.rb:121: no .<digit> floating literal anymore; put 0 before dot
bind-address = 127.0.0.1
^
/usr/local/Homebrew/Library/Taps/homebrew/homebrew-core/Formula/mysql.rb:121: syntax error, unexpected tFLOAT, expecting '('
/usr/local/Homebrew/Library/Taps/homebrew/homebrew-core/Formula/mysql.rb:137: syntax error, unexpected <<
s = <<~EOS
^
/usr/local/Homebrew/Library/Taps/homebrew/homebrew-core/Formula/mysql.rb:183: syntax error, unexpected tIDENTIFIER, expecting keyword_end
...clean dir, which testpath isn't.
...                               ^
/usr/local/Homebrew/Library/Taps/homebrew/homebrew-core/Formula/mysql.rb:201: syntax error, unexpected keyword_end, expecting end-of-input

Macのバージョン: OS Sierra
10.12.6

MySQLは一度インストールしてあったのですが、動作がおかしくなったので、
brew uninstallで削除。
再度インストールし直そうとして、こちらのエラーになりました。

エラーメッセージからネットで検索してみたのですが、対処を見つけられませんでした。
よろしくお願いいたします。

$ brew update
Updated 1 tap (caskroom/cask).
No changes to formulae.

$ brew doctor
Please note that these warnings are just used to help the Homebrew maintainers
with debugging if you file an issue. If everything you use Homebrew for is
working fine: please don't worry and just ignore them. Thanks!

Warning: You have unlinked kegs in your Cellar
Leaving kegs unlinked can lead to build-trouble and cause brews that depend on
those kegs to fail to run properly once built. Run `brew link` on these:
  libxml2
  nmap
  openssl
  openssl@1.1
  postgres
  readline

Warning: Homebrew's sbin was not found in your PATH but you have installed
formulae that put executables in /usr/local/sbin.
Consider setting the PATH for example like so
  echo 'export PATH="/usr/local/sbin:$PATH"' >> ~/.bash_profile

というワーニングが出ました。

1つめのワーニングに対しては、それぞれbrew link ◯◯を試しました。
postgresだけは解消しきれず。下記のエラーが残りました。

$brew doctor
Warning: You have unlinked kegs in your Cellar
Leaving kegs unlinked can lead to build-trouble and cause brews that depend on
those kegs to fail to run properly once built. Run `brew link` on these:
  postgres

2つめのワーニングはそのまま、echo 'export PATH="/usr/local/sbin:$PATH"' >> ~/.bash_profileを実行したら、Warningは出なくなりました。

再度、brew install mysqlを実行、状況は変わりませんでした。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

checkベストアンサー

+1

KSwordOfHaste さんのおっしゃる通り、 (C) の Homebrew の version が追記されてますと、解決に大きく近づきます。

エラーメッセージから読み取れることは、 homebrew-core が実行している Ruby script が version 2.3 以降の記法 ( <<~ の部分) を使用していて、そこがエラーになっていることです。
自分は Mac OS X (El Capitan) を使用しており、その元から入っている Ruby の version が 2.0 でした。 Sierra でも同様だったと思います。これでは 2.3 のスクリプトは動きません。
ここから推測するに、何らかの理由で Homebrew のおそらく同梱されている Ruby の version がズレてしまってるのが、MySQLのインストール・スクリプトのエラーを引き起こしていると考えられます。

結論を出すには、やはり (C) を追記して頂くのが近道だと考えます。コマンドは brew --version です。
最低限、 Homebrew のバージョンが確認できれば、詳しい方が結論を導けると思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/30 16:13

    ありがとうございます!

    brew --version
    Homebrew 1.3.2
    Homebrew/homebrew-core (git revision 9ba4; last commit 2017-10-29)

    となりました。

    キャンセル

  • 2017/10/30 16:22

    追記ありがとうございます。
    Ruby のバージョン違いでエラーが出てますので、 `ruby -v` で Ruby のバージョンも追記お願いします。

    > Homebrew 1.3.2

    core部分と最終更新日が1ヶ月ほどズレてしまってるのが気になります。おそらく Homebrew の更新周りが怪しいですね。
    https://github.com/Homebrew/brew/releases/tag/1.3.2

    このHerebrewとcoreとのバージョンのズレを再現できたら、問題を確定できそうですね。

    キャンセル

  • 2017/10/30 16:30

    homebrew upgrade してみて、エラーになったので、uninstall & intall したら直りました!
    本当、困り果てていたので、感謝感謝です!!ありがとうございました。

    キャンセル

  • 2017/10/30 16:40

    お役に立てたようで幸いです。

    キャンセル

+1

Macオーナーでないのでネットで調べただけです。外してたら申し訳ありません。

似たパターンのエラー対処がhttps://github.com/Homebrew/brew/issues/1832などにあり一般的なトラブルシュートとしてbrew update(A)とbrew doctor(B)を試すことが書いてありました。

また、「homebrew update 失敗」で検索するといくつかそれらしい記事がヒットし、その中の一つを覗くと

https://qiita.com/harapeko_wktk/items/f4f44ddb5d3912e15ea2

  1. homebrewの新しさの確認方法(C)
  2. homebrewが古いとbrew updateした際に「mysql.rbに問題がある」といったエラーが出て場合があること

といった情報がありました。update失敗時の対処としてgithubによるhomebrewの更新方法などが書かれてますが、これはupdate失敗時のエラー内容から筆者が選んだ対処だと思うので不用意にやらない方がよいのかも知れませんが自分には判断できません。


いずれにせよ、少なくとも(C),(A),(B)を必要に応じて試し、それぞれの結果を質問文に追記すると、詳しい方に状況が把握しやすくなる(アドバイスがつきやすくなる)ような気がしました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/30 13:01

    まったく糸口もつかめなかったので、助かります。ありがとうございます!
    試してみて、また書き込みたいと思います。

    キャンセル

  • 2017/10/30 15:45

    状況が変わらなかったので、質問内容に追記させていただきました。

    キャンセル

0

Homebrewをうまく再インストールできない場合の対処方法

↑こちらのサイトを参考に、homebrewを再インストールしてから、brew install mysql が成功しました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる